Bug 238208 - no easy way to control text console blank timeout
Summary: no easy way to control text console blank timeout
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-27 22:42 UTC by Florin Andrei
Modified: 2014-03-17 03:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 04:51:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Florin Andrei 2007-04-27 22:42:35 UTC
Description of problem:
There is no way to easily control the time after which the text console gets
blanked. In theory, there should be a file, maybe somewhere in /etc/sysconfig,
containing a variable indicating the time after which the text console goes blank.

For example, if the admin wants to disable text console blanking, the command
"setterm -blank 0" must be added to one of the start-up scripts such as
/etc/rc.d/rc.local

It would be nice if a file in /etc/sysconfig contained a variable, e.g.
CONSOLE_BLANK_TIME, by default set to a reasonable value, and one of the
start-up scripts would run "setterm -blank $CONSOLE_BLANK_TIME".
Then all the admin needs to do is to edit that variable and the console blank
timeout would be easily adjusted.

Version-Release number of selected component (if applicable):
Fedora 7 Test

How reproducible:
always been an issue

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
see above

Expected results:
see above

Additional info:

Comment 1 Bill Nottingham 2007-05-01 04:51:47 UTC
This would then lead to a question about supporting the other console
parameters, whether they be the cursor state, the colors, blink mode, bell
frequency, etc.

It would seem to be something better left to the admin.


Note You need to log in before you can comment on or make changes to this bug.